# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'micropub/version'

Gem::Specification.new do |spec|
  spec.name          = "micropub"
  spec.version       = Micropub::VERSION
  spec.authors       = ["Shane Becker", "Bookis Smuin"]
  spec.email         = ["veganstraightedge@gmail.com", "bookis.smuin@gmail.com"]
  spec.summary       = %q{Ruby implementation of Micropub.}
  spec.description   = %q{Ruby implementation of Micropub.}
  spec.homepage      = "https://github.com/homesteading/micropub"
  spec.license       = "Public Domain (CC0)"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "webmock"

  spec.add_dependency "httpclient"
  spec.add_dependency "activesupport"
end
