require "spec_helper"

describe Micropub do
  describe ".configure" do
    let(:endpoint) { "https://tokens.indieauth.com/token" }
    before do
      Micropub.configure do |c|
        c.token_endpoint = endpoint
      end
    end

    it "sets a token endpoint" do
      expect(Micropub.configuration.token_endpoint).to eq endpoint
    end
  end
end
